<div class="mb-3 card">
  <div class="card-header-tab card-header">
    <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
      <i class="header-icon lnr-charts icon-gradient bg-happy-green"> </i>
      Ticket
    </div>
  </div>
  <div class="no-gutters row">
    <div class="col-sm-6 col-md-2 col-xl-2">
      <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
        <div class="icon-wrapper rounded-circle">
          <div class="icon-wrapper-bg opacity-9 bg-primary" style="padding-left: 0.7em;padding-top: 0.8em;">
          <i class="pe-7s-ticket text-white"> </i>
          </div>
        </div>
        <div class="widget-chart-content">
          <div class="widget-subheading">Total Ticket</div>
          <div class="widget-numbers">{{outsourcetotal.all}}</div>
        </div>
      </div>
      <div class="divider m-0 d-md-none d-sm-block"></div>
    </div>
    <div class="col-sm-6 col-md-2 col-xl-2">
      <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
        <div class="icon-wrapper rounded-circle">
          <div class="icon-wrapper-bg opacity-9 bg-danger" style="padding-left: 0.7em;padding-top: 0.8em;">
            <i class="pe-7s-ticket text-white"> </i>
          </div>
        </div>
        <div class="widget-chart-content">
          <div class="widget-subheading">Total open</div>
          <div class="widget-numbers">{{outsourcetotal.open}}</div>
        </div>
      </div>
      <div class="divider m-0 d-md-none d-sm-block"></div>
    </div>
    <div class="col-sm-12 col-md-2 col-xl-2">
      <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
        <div class="icon-wrapper rounded-circle">
          <div class="icon-wrapper-bg opacity-9 bg-success" style="padding-left: 0.7em;padding-top: 0.8em;">
            <i class="pe-7s-ticket text-white"> </i>
          </div>
        </div>
        <div class="widget-chart-content">
          <div class="widget-subheading">Total Inprocess</div>
          <div class="widget-numbers">{{outsourcetotal.inprocess}}</div>
        </div>
      </div>
    </div>
    <div class="col-sm-12 col-md-2 col-xl-2">
      <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
        <div class="icon-wrapper rounded-circle">
          <div class="icon-wrapper-bg opacity-9 bg-info" style="padding-left: 0.7em;padding-top: 0.8em;">
            <i class="pe-7s-ticket text-white"> </i>
          </div>
        </div>
        <div class="widget-chart-content">
          <div class="widget-subheading">Total await customer</div>
          <div class="widget-numbers">{{outsourcetotal.await_customer}}</div>
        </div>
      </div>
    </div>
    <div class="col-sm-12 col-md-2 col-xl-2">
      <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
        <div class="icon-wrapper rounded-circle">
          <div class="icon-wrapper-bg opacity-9 bg-info" style="padding-left: 0.7em;padding-top: 0.8em;">
            <i class="pe-7s-ticket text-white"> </i>
          </div>
        </div>
        <div class="widget-chart-content">
          <div class="widget-subheading">Total resolve</div>
          <div class="widget-numbers">{{outsourcetotal.resolve}}</div>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="card main-card mb-3">

  <div class="card-header">
    <button class="btn-wide btn btn-success" (click)="open(content)">Open Ticket</button>
  </div>

  <table class="table table-striped">
    <thead>
      <tr>
        <th scope="col">No.</th>
        <th scope="col">Subject</th>
        <th scope="col">Name</th>

        <th scope="col">Status</th>
        <th scope="col">Date</th>
        <!-- <th scope="col">Population</th> -->
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let country of countries; index as i">
        <th scope="row">{{ i + 1 }}</th>
        <td>
          {{ country.name }}
        </td>
        <td>{{ country.name_emp}}</td>

        <td>{{ country.status }}</td>
        <td>{{ country.area }}</td>
      </tr>
    </tbody>
  </table>


  <div class="d-flex justify-content-between p-2">
    <ngb-pagination [collectionSize]="collectionSize" [(page)]="page" [pageSize]="pageSize">
    </ngb-pagination>

    <select class="custom-select" style="width: auto" [(ngModel)]="pageSize">
      <option [ngValue]="10">10 items per page</option>
      <option [ngValue]="25">25 items per page</option>
      <option [ngValue]="50">50 items per page</option>
      <option [ngValue]="100">100 items per page</option>
    </select>
  </div>


</div>

<ng-template #content let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title">Basic demo</h4>
  </div>
  <div class="card-body">
    <div class="form-group">
      <label for="street">Type ticket</label>
      <div class="position-relative form-group">
        <select name="select" id="exampleSelect" class="form-control" [(ngModel)]="openticket.ticket_type">
          <option>incident</option>
          <option>request</option>
        </select>
      </div>
    </div>
    <div class="form-group">
      <label for="vat">Subject</label>
      <textarea class="form-control" [(ngModel)]="openticket.ticket_subject" placeholder="Subject"></textarea>
    </div>
    <div class="form-group">
      <label for="street">Level</label>
      <div class="position-relative form-group">
        <select name="select" id="exampleSelect" class="form-control" [(ngModel)]="openticket.level">
          <option>Low</option>
          <option>Medium</option>
          <option>High</option>
        </select>
      </div>
    </div>
    <div class="form-group">
      <label for="street">Priority</label>
      <div class="position-relative form-group">
        <select name="select" id="exampleSelect" class="form-control" [(ngModel)]="openticket.priority">
          <option>Planned</option>
          <option>Low</option>
          <option>Medium</option>
          <option>High</option>
          <option>Critical</option>
        </select>
      </div>
    </div>
    <div class="form-group">
      <label for="street">Status</label>
      <div class="position-relative form-group">
        <select name="select" id="exampleSelect" class="form-control" [(ngModel)]="openticket.status">
          <option>Inprocess</option>
          <option>Await Customer</option>
          <option>Resolve</option>
          <option>Open</option>
        </select>
      </div>
    </div>
    <div class="alert alert-danger" *ngIf="check_error == true" role="alert">
      {{message_insert}}
    </div>


  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" (click)="openticket_clear(content)">Close</button>
    <button type="button" class="btn btn-primary" (click)="insertTicket(content)">Save changes</button>
  </div>
</ng-template>
